#include "assert.h"
#include "log.h"

#ifndef NDEBUG
    
    void assertTrace(const char *assertion, const char *file, const char *function, unsigned int line)
     {
      logMessage(Error, "%s Assertion \"%s\" failed.", sourceString(file, function, line), assertion);
      
      abort();
     }
    
#endif
