#ifndef USER_H
#define USER_H

#include <stdint.h>

#ifdef SERVER
extern uint8_t userGenerateNew(const char *name);
#endif

extern int userValid(uint8_t id);
extern void userForgetAll(void);
extern void userForget(uint8_t);
extern const char * userGetName(uint8_t id);
extern void userSetName(uint8_t id, const char *name);
extern uint8_t userFind(const char *name);

#ifdef CLIENT
#include "draw.h"
extern void redrawAllUsers(void);
extern void userSetColour(uint8_t id, Colour c);
extern void userSetPos(uint8_t id, int16_t x, int16_t y);
/*extern void userGetColour(uint8_t id, Colour *c);*/
/*extern void userGetPos(uint8_t id, int16_t *x, int16_t *y);*/
#endif

#endif
